Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-hghooks
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname hghooks
%global sum A set of useful hooks for Mercurial

Name:           python-module-hghooks
Version:        0.7.0
Release:        alt1_10
Summary:        %{sum}

License:        LGPLv3
URL:            http://bitbucket.org/lgs/%{srcname}/
Source0:        https://files.pythonhosted.org/packages/source/h/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools

%global _description\
hghooks is a simple module that adds several useful hooks for use\
in Mercurial hooks system.\
\
Right now it includes hooks for:\
\
 * pep8 checking of python files\
 * pyflakes checking of python files\
 * jslint checking of javascript files\
 * checking for forgotten pdb statements in python files\
 * Trac integration. This includes:\
   - Making sure at least a ticket is mentioned in the changeset message\
   - Updating the Trac ticket with the changeset
Source44: import.info

%description 

%_description
%prep
%setup -q -n %{srcname}-%{version}


%build
%python_build


%install
%python_install


%files -n python-module-hghooks
%doc --no-dereference COPYING
%doc README.txt
%{python_sitelibdir_noarch}/%{srcname}
%{python_sitelibdir_noarch}/%{srcname}-%{version}-py2.?.egg-info


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_10
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_9
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_7
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_5
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_4
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_5
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_4
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_3
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_2
- update to new release by fcimport

* Wed May 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_1
- update to new release by fcimport

* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.5-alt1_1
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_3
- initial fc import

